> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Self

> Recupera informazioni sull'API key autenticata

Richiede una API key personale di un amministratore Enterprise.

Restituisce informazioni sull'API key autenticata, inclusi l'ID della chiave, l'ID dell'utente associato, l'email dell'utente e l'ID dell'organizzazione.


## OpenAPI

````yaml it/v2-openapi.yaml GET /v2/enterprise/self
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/self:
    get:
      tags:
        - self
        - self
      summary: GET utente corrente
      operationId: handle_get_self_v2_enterprise_self_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfResponse'
          description: Risposta riuscita
components:
  schemas:
    SelfResponse:
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        org_id:
          title: Org Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      required:
        - api_key_id
        - user_id
        - user_email
        - org_id
      title: SelfResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````